This operation is not supported.
GET /{ig-user-id}/live_media
Get a collection of live video IG Media on an IG User.
Only live video IG Media being broadcast at the time of the request will be returned.
This endpoint supports time-based pagination. Include since and until query-string paramaters with Unix timestamp or strtotime data values to define a time range.
| Type | Requirement |
|---|---|
Access Tokens | User |
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
|
GET https://graph.facebook.com/{api-version}/{ig-user-id}/live_media
?access_token={access-token}| Placeholder | Value |
|---|---|
| API version |
| App user's app-scoped user ID. |
| Key | Value |
|---|---|
| App user's User |
| Comma-separated list of IG Media fields you want returned for each live IG Media in the result set. |
| A Unix timestamp or |
| A Unix timestamp or |
A JSON-formatted object containing the data you requested.
{
"data": [],
"paging": {}
}| Property | Value |
|---|---|
| |
| An object containing paging cursors and next/previous data set retrievial URLs. |
curl -X GET \
'https://graph.facebook.com/v24.0/17841405822304914/live_media?fields=id,media_type,media_product_type,owner,username,comments&access_token=IGQVJ...'
{
"id":"90010498116233",
"media_type":"BROADCAST",
"media_product_type":"LIVE",
"owner":{
"id":"17841405822304914"
},
"username":"jayposiris",
"comments":{
"data":[
{
"hidden": false,
"id": "17907364514064687",
"like_count": 0,
"media": {
"id": "17892642502701087"
},
"text": "@jayposiris",
"timestamp": "2021-08-17T21:23:07+0000",
"username": "bztest0316_11",
"from": {
"id": "5895605157123796",
"username": "bztest0316_11"
}
}
]
}
}This operation is not supported.
This operation is not supported.